Is BitNinja compatible with CentOS8?

You are here:
Estimated reading time: < 1 min

As of the moment, BitNinja does not have an official repository for CentOS 8, however, we do have a package.

In order to install it you need to modify a few things :

  1. modify the repo file as the following : nano /etc/yum.repos.d/
  2. There you need to modify the baseurl from baseurl=http://rpm.bitninja.io/$releasever/$basearchto the following baseurl=http://rpm.bitninja.io/7/$basearch
  3. Also there is a dependency for our packages which is not found in CentOS8 so you have to manually install it with the following command: yum install libnsl-2.28-42.el8_0.1.x86_64
But please be aware that it is a downgraded version so it is up to you whether you wish to downgrade the glibc.
Views: 10